[UPD] poetry with all addons update

- remove odoo doc, and update sphinx
- do symlink in doc_user with odoo/odoo for better doc
- Add debian package pysassc for sphinx

Signed-off-by: Mathieu Benoit <mathben@technolibre.ca>
This commit is contained in:
Mathieu Benoit 2022-12-31 03:07:53 -05:00
parent bcf6a0018a
commit 2282eef367
6 changed files with 510 additions and 316 deletions

View file

@ -997,7 +997,6 @@ clean:
.PHONY: doc
doc:
./script/make.sh doc_dev
./script/make.sh doc_dev_odoo
./script/make.sh doc_migration
./script/make.sh doc_test
./script/make.sh doc_user
@ -1007,7 +1006,6 @@ doc:
.PHONY: doc_clean
doc_clean:
./script/make.sh doc_clean_dev
./script/make.sh doc_clean_dev_odoo
./script/make.sh doc_clean_migration
./script/make.sh doc_clean_test
./script/make.sh doc_clean_user
@ -1016,7 +1014,6 @@ doc_clean:
.PHONY: open_doc_all
open_doc_all:
./script/make.sh open_doc_dev
./script/make.sh open_doc_dev_odoo
./script/make.sh open_doc_migration
./script/make.sh open_doc_test
./script/make.sh open_doc_user
@ -1034,19 +1031,6 @@ open_doc_dev:
doc_clean_dev:
make -C doc/itpp-labs_odoo-development/docs clean
# documentation odoo dev
.PHONY: doc_dev_odoo
doc_dev_odoo:
source ./.venv/bin/activate && make -C odoo/doc html || exit 1
.PHONY: open_doc_dev_odoo
open_doc_dev_odoo:
-$(BROWSER) odoo/doc/_build/html/index.html
.PHONY: doc_clean_dev_odoo
doc_clean_dev_odoo:
make -C odoo/doc clean
# documentation migration
.PHONY: doc_migration
doc_migration:
@ -1076,6 +1060,7 @@ doc_clean_test:
# documentation user
.PHONY: doc_user
doc_user:
ln -sf ../../odoo/odoo ./doc/odoo_documentation-user/odoo
source ./.venv/bin/activate && make -C doc/odoo_documentation-user html || exit 1
.PHONY: open_doc_user

View file

@ -19,3 +19,4 @@ voicent
xlsxwriter
suds-jurko
vatnumber
dns

763
poetry.lock generated

File diff suppressed because it is too large Load diff

View file

@ -37,34 +37,35 @@ cloudflare = "^2.11.1"
code-writer = "^1.1.1"
colorama = "^0.4.6"
configparser = "5.0.2"
coverage = "^7.0.0"
coverage = "^7.0.1"
cryptography = "36.0.1"
css-html-prettify = "^2.5.5"
cython = "^0.29.32"
ddt = "1.2.0"
decorator = "4.0.10"
docutils = "0.17.1"
docutils = ">=0.14,<1.0"
ebaysdk = "2.1.5"
email-validator = "^1.3.0"
emoji = "^2.2.0"
escpos = "^1.9"
extract-msg = "^0.38.4"
extract-msg = "<0.30"
factur-x = "^2.3"
feedparser = "6.0.10"
flake8 = "<6.0.0"
formio-data = "^0.4.7"
freezegun = "0.3.11"
geojson = "2.4.1"
geojson = "^2.5.0"
gevent = "1.5.0"
gitpython = "3.1.29"
giturlparse = "^0.10.0"
greenlet = "0.4.14"
html2text = "2016.9.19"
invoice2data = "^0.4.0"
invoice2data = "0.3.5"
iscompatible = "^0.1.1"
isort = "^5.11.4"
jinja2 = "2.11.3"
jira = "2.0.0"
jose = "^1.0.0"
js2py = "^0.74"
keystoneauth1 = "3.14.0"
lasso = "^0.0.5"
@ -75,7 +76,7 @@ markupsafe = "0.23"
matplotlib = ">=2.0.0"
mock = "2.0.0"
mpld3 = "0.3"
mysqlclient = "^2.1.1"
mysqlclient = "2.1.1"
num2words = "0.5.6"
numpy = "1.21.1"
oauthlib = "2.1.0"
@ -84,11 +85,12 @@ ofxparse = "0.16"
openpyxl = "^3.0.10"
openupgradelib = "^3.4.0"
orjson = "3.6.0"
ovh = "^1.0.0"
paho-mqtt = "^1.6.1"
pandas = "1.3.5"
paramiko = "^2.12.0"
passlib = "1.6.5"
pdf2image = "^1.16.0"
pdf2image = "^1.16.1"
pdfminer = "^20191125"
pexpect = "^4.8.0"
phonenumbers = "^8.13.3"
@ -103,6 +105,8 @@ py3o-template = "^0.10.0"
pycountry = "^22.3.5"
pycrypto = "2.6.1"
pydot = "1.2.3"
pygments = ">=2.6.1,<2.7.0"
pygments-csv-lexer = ">=0.1,<1.0"
pygount = "<1.2.0"
pyjsparser = "^2.7.1"
pyjwt = "2.5.0"
@ -113,18 +117,21 @@ pyotp = "^2.8.0"
pyparsing = "2.1.10"
pypdf2 = "1.27.8"
pyproj = "3.2.1"
pysass = ">=0.1.0,<0.2.0"
pyserial = "3.1.1"
pysftp = "^0.2.9"
python-chess = "<0.24"
python-dateutil = "2.7.3"
python-git = "^2018.2.1"
python-jose = "^3.3.0"
python-json-logger = "0.1.5"
python-keystoneclient = "3.22.0"
python-ldap = "^3.4.3"
python-slugify = ">=3.0.2"
python-stdnum = "^1.18"
python-swiftclient = "3.9.0"
python-u2flib-server = "^5.0.1"
pytz = "2017.3"
pytz = ">=2022.7"
pyusb = "1.0.0"
pyyaml = "6.0"
pyzbar = "^0.1.9"
@ -136,28 +143,30 @@ requests = "2.28.1"
requests-mock = "^1.10.0"
requests-oauthlib = "1.1.0"
requests-toolbelt = "0.9.1"
responses = "^0.22.0"
retrying = "^1.3.4"
serial = "^0.0.97"
shapely = "1.6.4.post2"
shapely = "^2.0.0"
simplejson = "3.16.0"
slugify = "^0.0.1"
soappy = "^0.12.22"
sphinx = "1.6.7"
sphinx = ">=3.0,<4.0"
sphinx-intl = "^2.0.1"
sphinx-rtd-theme = "^1.1.1"
sqlalchemy = "^1.4.45"
sqlparse = "^0.4.3"
statsd = "3.2.1"
toml = "^0.10.2"
tornado = "6.1"
twython = "^3.9.1"
unidecode = "1.0.22"
unidiff = "^0.7.4"
urllib3 = "1.26.8"
urllib3 = ">=1.26.13"
vcrpy = ">=2.1.1"
vcrpy-unittest = "^0.1.7"
vobject = "0.9.3"
voicent-python = "^1.0"
webcolors = "1.10"
webcolors = "^1.12"
websocket-client = "^1.4.2"
wechatpy = "^1.8.18"
werkzeug = "0.11.15"

View file

@ -16,9 +16,8 @@ cython
# For Odoo
wheel
phonenumbers
pytz==2017.3
# TODO Force use odoo/doc/requirements.txt, check when need update
sphinx==1.6.7
# Force update version to latest, no break update
pytz>=2022.7
# For OCA
factur-x
@ -60,7 +59,8 @@ click
emoji
# Code generator
mysqlclient
# TODO OCA_server-backend force 2.0.1 because don't want 2.0.2
mysqlclient==2.1.1
# pyproj >=3.3.0 is not compatible with python 3.7
pyproj==3.2.1
@ -95,7 +95,7 @@ Pillow==9.3.0
Babel==2.9.1
reportlab==3.6.5
pycrypto==2.6.1
urllib3==1.26.8
urllib3>=1.26.13
requests==2.28.1
boto3>=1.20.41
PyPDF2==1.27.8

View file

@ -60,7 +60,7 @@ sudo su - postgres -c "createuser -s ${EL_USER}" 2>/dev/null || true
# Install Dependencies
#--------------------------------------------------
echo -e "\n--- Installing debian dependency --"
sudo apt-get install git build-essential wget libxslt-dev libzip-dev libldap2-dev libsasl2-dev gdebi-core libffi-dev libbz2-dev parallel -y
sudo apt-get install git build-essential wget libxslt-dev libzip-dev libldap2-dev libsasl2-dev gdebi-core libffi-dev libbz2-dev parallel pysassc -y
retVal=$?
if [[ $retVal -ne 0 ]]; then
echo "apt-get debian tool installation error."